Package com.xebialabs.xlrelease.domain

# Class Category

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.Category

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false) public class Category extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Category()`
  `Category(String title, boolean active)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getActive()`
  `Integer`
  `getCiUid()`
  `String`
  `getTitle()`
  `static String`
  `sanitizeTitle(String title)`
  `static Set<String>`
  `sanitizeTitles(Set<String> titles)`
  `void`
  `setActive(boolean active)`
  `void`
  `setCiUid(Integer ciUid)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Category

    public Category()

  - ### Category

    public Category(String title, boolean active)

- ## Method Details

  - ### getCiUid

    public Integer getCiUid()

  - ### setCiUid

    public void setCiUid(Integer ciUid)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getActive

    public Boolean getActive()

  - ### setActive

    public void setActive(boolean active)

  - ### sanitizeTitle

    public static String sanitizeTitle(String title)

  - ### sanitizeTitles

    public static Set<String> sanitizeTitles(Set<String> titles)